#ifndef FEMNEUMANN_H
#define FEMNEUMANN_H

#include "fem.h"

namespace fem
{

/// Neumann boundary condition:
///     a target group and a value to be applied on a given dof

class FEM_API Neumann
{
public:
#ifndef SWIG
    Group *group;           ///< option1: target group
    size_t m_nodetag;       ///< option2: target node tag
    std::string m_dofname;  ///< target degree of freedom
    double m_val;           ///< prescribed value
#endif

public:
    Neumann(Problem &pbl, std::string const &groupname, std::string const &dof, double val);
    Neumann(Problem &pbl, size_t nodetag, std::string const &dof, double val);
    ~Neumann();

#ifndef SWIG
    friend FEM_API std::ostream &operator<<(std::ostream &out, Neumann const &obj);
#endif
};

} // namespace fem

#endif // FEMNEUMANN_H
