#include "femPart.h"
#include "femPartition.h"

namespace fem
{

Part::Part(Partition &partition, 
           DOFMask const &_dofmask,
           DOFMask const &_bcmask) : dofmask(_dofmask), bcmask(_bcmask)
{
    idx = partition.parts.size();
    partition.parts.push_back(this);
}

Part::~Part()
{
    if(debug_level()>0)
        std::cout << "~Part()\n";
}

std::ostream &
operator<<(std::ostream &out, Part const &obj)
{
    out << "Part #" << obj.idx << ": " << obj.dofmask << ", " << obj.bcmask;
    return out;
}

} // namespace fem
