#ifndef FEMTIMER_H
#define FEMTIMER_H

#include "fem.h"
#include <chrono>

namespace fem
{
    
/// a basic timer

class FEM_API Timer
{
    std::chrono::high_resolution_clock::time_point t0;
    double telapsed;
    bool running;

public:
    Timer();
    ~Timer();

    void start();
    void stop();
    void reset();
    double read() const;

    friend FEM_API std::ostream &operator<<(std::ostream &out, Timer const &obj);
};

} // namespace fem

#endif // FEMTIMER_H
